| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.ARB.DrawElementsBaseVertex

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions

Description
All raw functions from the ARB_draw_elements_base_vertex extension, see http://www.opengl.org/registry/specs/ARB/draw_elements_base_vertex.txt.
Synopsis

glDrawElementsBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()
glDrawRangeElementsBaseVertex :: GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()
glDrawElementsInstancedBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> IO ()
glMultiDrawElementsBaseVertex :: GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> Ptr GLint -> IO ()

Functions

glDrawElementsBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLint -> IO () | Source

glDrawRangeElementsBaseVertex :: GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> GLint -> IO () | Source

glDrawElementsInstancedBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> IO () | Source

glMultiDrawElementsBaseVertex :: GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> Ptr GLint -> IO () | Source

Produced by Haddock version 2.4.2